play.utils

## Class Utils

- java.lang.Object
- - play.utils.Utils

    public class Utils
    extends java.lang.Object

Generic utils

### Nested Class Summary

Nested Classes
`static class` `Utils.AlternativeDateFormat`
`static class` `Utils.Maps` for java.util.Map

### Constructor Summary

Constructors
Constructor and Description
`Utils()`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static java.util.Map<java.lang.String,java.lang.String[]>` `filterMap(java.util.Map<java.lang.String,java.lang.String[]> map, java.lang.String prefix)`
`static java.util.Map<java.lang.String,java.lang.String>` `filterParams(java.util.Map<java.lang.String,java.lang.String[]> params, java.lang.String prefix)`
`static java.util.Map<java.lang.String,java.lang.String>` `filterParams(java.util.Map<java.lang.String,java.lang.String[]> params, java.lang.String prefix, java.lang.String separator)`
`static java.util.Map<java.lang.String,java.lang.String>` `filterParams(Scope.Params params, java.lang.String prefix)`
`static java.text.SimpleDateFormat` `getHttpDateFormatter()`
`static java.lang.String` `getSimpleNames(java.lang.annotation.Annotation[] values)`
`static java.lang.String` `join(java.lang.annotation.Annotation[] values, java.lang.String separator)`
`static <T> java.lang.String` `join(java.lang.Iterable<T> values, java.lang.String separator)`
`static java.lang.String` `join(java.lang.String[] values, java.lang.String separator)`
`static void` `kill(java.lang.String pid)`
`static java.lang.String` `open(java.lang.String file, java.lang.Integer line)`
`static java.lang.String` `toString(java.lang.annotation.Annotation[] values)` Deprecated. Use Utils.join(values, " ");
`static java.lang.String` `urlDecodePath(java.lang.String enc)`
`static java.lang.String` `urlEncodePath(java.lang.String plain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utils

    public Utils()

### Method Detail

#### join

    public static <T> java.lang.String join(java.lang.Iterable<T> values,
                                            java.lang.String separator)

#### join

    public static java.lang.String join(java.lang.String[] values,
                                        java.lang.String separator)

#### join

    public static java.lang.String join(java.lang.annotation.Annotation[] values,
                                        java.lang.String separator)

#### getSimpleNames

    public static java.lang.String getSimpleNames(java.lang.annotation.Annotation[] values)

#### toString

    @Deprecated
    public static java.lang.String toString(java.lang.annotation.Annotation[] values)

Deprecated. Use Utils.join(values, " ");
Get the list of annotations in string

Parameters:
  `values` - Annotations to format
Returns:
  The string representation of the annotations

#### open

    public static java.lang.String open(java.lang.String file,
                                        java.lang.Integer line)

#### getHttpDateFormatter

    public static java.text.SimpleDateFormat getHttpDateFormatter()

#### filterMap

    public static java.util.Map<java.lang.String,java.lang.String[]> filterMap(java.util.Map<java.lang.String,java.lang.String[]> map,
                                                                               java.lang.String prefix)

#### filterParams

    public static java.util.Map<java.lang.String,java.lang.String> filterParams(Scope.Params params,
                                                                                java.lang.String prefix)

#### filterParams

    public static java.util.Map<java.lang.String,java.lang.String> filterParams(java.util.Map<java.lang.String,java.lang.String[]> params,
                                                                                java.lang.String prefix,
                                                                                java.lang.String separator)

#### filterParams

    public static java.util.Map<java.lang.String,java.lang.String> filterParams(java.util.Map<java.lang.String,java.lang.String[]> params,
                                                                                java.lang.String prefix)

#### kill

    public static void kill(java.lang.String pid)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### urlDecodePath

    public static java.lang.String urlDecodePath(java.lang.String enc)

#### urlEncodePath

    public static java.lang.String urlEncodePath(java.lang.String plain)